net.i2p.router.tunnel

## Class InboundMessageDistributor

- java.lang.Object
- - net.i2p.router.tunnel.InboundMessageDistributor

- All Implemented Interfaces:
    GarlicMessageReceiver.CloveReceiver

      public class InboundMessageDistributor
      extends Object
      implements GarlicMessageReceiver.CloveReceiver

  When a message arrives at the inbound tunnel endpoint, this distributor honors the instructions (safely)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InboundMessageDistributor(RouterContext ctx, Hash client)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `distribute(I2NPMessage msg, Hash target)`
    `void` | `distribute(I2NPMessage msg, Hash target, TunnelId tunnel)`
    `void` | `handleClove(DeliveryInstructions instructions, I2NPMessage data)` Handle a clove removed from the garlic message

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InboundMessageDistributor

          public InboundMessageDistributor(RouterContext ctx,
                                   Hash client)

  - ### Method Detail

    - #### distribute

          public void distribute(I2NPMessage msg,
                        Hash target)

    - #### distribute

          public void distribute(I2NPMessage msg,
                        Hash target,
                        TunnelId tunnel)

    - #### handleClove

          public void handleClove(DeliveryInstructions instructions,
                         I2NPMessage data)

      Handle a clove removed from the garlic message
      Specified by:
        `handleClove` in interface `GarlicMessageReceiver.CloveReceiver`